# 3. クエリ: 「SatelliteImages」を取得

「Field」に対して定義された雲閾値を使用して「SatelliteImages」を取得します。

ヒント：&#x20;

* 「User」がアクセス可能なすべての「Farms」を読み取ります - 削除 *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*。同様の操作は「Fields」、「SatelliteImages」、「VectorAnalysisMap」に対して行います。
* 許可されている `geoMapType` 許容値でフィルタ： `ALL`, `ORIGIN`, `CROPPED`, `RAW`, `PROCESSED`, `THUMBNAIL`, `CONTRAST`
* 許可された日付関連フィルタ： `before` と `after` に属する [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) 形式。フィルタは単独で1つだけ使用できます。詳細は [ここ](/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/37-kueri-saretanosatelliteimageswo.md).
* 許可されている `provider` 許容値でフィルタ： `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* 許可されている `閾値` フィルタは雲被覆を強調します：「1」は雲なし、「0」は完全な曇りを意味します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    名前
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      名前
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          最小
          最大
          avg
          mdn
          var
          std
        }
        
        recomendedForMutliYearAnalytics 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      名前
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          最小
          最大
          avg
          mdn
          var
          std
        } 
        
        recomendedForMutliYearAnalytics
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/3-kueri-satelliteimageswo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
